Subject: bug#30773: parted doesn't thoroughly erase old signatures

From: "Brian C. Lane" <[email-masked]>
Date: Thu, 7 Jun 2018 08:23:00 -0700

On Sun, Mar 11, 2018 at 09:46:24PM +0300, Anatoly Mayorov wrote:
> Hi,
> 
> I installed TrueOS and it partitioned the whole disk as a zfs pool. Then, while installing Archlinux I used parted to create a new gpt table with fat32, ext4 and btrfs partitions. Archlinux worked well. But Gparted reported, that the whole disk still was formatted to ZFS. I reproduced the same scenario on a virtual machine - the same result.
> It turned out that there remained signatures from ZFS.
> Here is what blkid and wipes reported:
> 
> root@debian:~# blkid /dev/sda
> /dev/sda: TYPE="zfs_member" PTUUID="f80e1ce2-028f-4124-bdef-ce5a61ad4e72" PTTYPE="gpt"
> 
> root@debian:~# wipefs /dev/sda
> offset type
> ----------------------------------------------------------------
> 0x200 gpt [partition table]
> 
> 0x7f000 zfs_member [filesystem]
> 
> I had to manually erase all old signatures with wipefs to make Gparted see my partitions.
> 
> I'm attaching a screenshot of the virtual machine where I reproduced the scenario.

parted doesn't wipe signatures. Use something like wipefs for that :)

This can also be a problem with RAID and LVM and recreating partitions with the
same sizes, you'll sometimes see old ones show up. So when re-using a
disk it's best to also wipefs it first.

-- 
Brian C. Lane (PST8PDT)